/*
 * Code for class WEL_DRAWING_CONSTANTS
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"


#ifdef __cplusplus
extern "C" {
#endif

extern EIF_TYPED_VALUE F286_5328(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5329(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5330(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5331(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5332(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5333(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5334(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5335(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5336(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5337(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5338(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5339(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5340(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5341(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5342(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5343(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5344(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5345(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5346(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5347(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5348(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5349(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5350(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5351(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5352(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5353(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5354(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5355(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5356(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5357(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5358(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5359(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5360(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5361(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5362(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5363(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5364(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5365(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5366(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5367(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5368(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5369(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5370(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5371(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5372(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5373(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5374(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5375(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5376(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5377(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5378(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5379(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5380(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5381(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5382(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5383(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5384(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5385(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5386(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5387(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5388(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5389(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5390(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5391(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5392(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5393(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5394(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5395(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5396(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5397(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5398(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5399(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5400(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5401(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5402(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5403(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5404(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5405(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5406(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5407(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5408(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5409(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5410(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5411(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5412(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5413(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5414(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5415(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5416(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5417(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5418(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5419(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5420(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5421(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5422(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5423(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5424(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5425(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5426(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5427(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5428(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5429(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5430(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5431(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5432(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5433(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5434(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5435(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5436(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5437(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5438(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5439(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5440(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5441(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5442(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5443(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5444(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5445(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5446(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5447(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5448(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5449(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5450(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5451(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5452(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5453(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5454(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5455(EIF_REFERENCE);
extern EIF_TYPED_VALUE F286_5456(EIF_REFERENCE, EIF_TYPED_VALUE);
extern void EIF_Minit286(void);

#ifdef __cplusplus
}
#endif

#include "wel.h"

#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {WEL_DRAWING_CONSTANTS}.dt_top */
EIF_TYPED_VALUE F286_5328 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_left */
EIF_TYPED_VALUE F286_5329 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_center */
EIF_TYPED_VALUE F286_5330 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_right */
EIF_TYPED_VALUE F286_5331 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_vcenter */
EIF_TYPED_VALUE F286_5332 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_bottom */
EIF_TYPED_VALUE F286_5333 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_wordbreak */
EIF_TYPED_VALUE F286_5334 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_singleline */
EIF_TYPED_VALUE F286_5335 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 32L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_expandtabs */
EIF_TYPED_VALUE F286_5336 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 64L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_tabstop */
EIF_TYPED_VALUE F286_5337 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 128L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_noclip */
EIF_TYPED_VALUE F286_5338 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 256L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_externalleading */
EIF_TYPED_VALUE F286_5339 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 512L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_calcrect */
EIF_TYPED_VALUE F286_5340 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1024L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_noprefix */
EIF_TYPED_VALUE F286_5341 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2048L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_internal */
EIF_TYPED_VALUE F286_5342 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4096L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dt_hideprefix */
EIF_TYPED_VALUE F286_5343 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1048576L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.di_compat */
EIF_TYPED_VALUE F286_5344 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.di_defaultsize */
EIF_TYPED_VALUE F286_5345 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.di_image */
EIF_TYPED_VALUE F286_5346 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.di_mask */
EIF_TYPED_VALUE F286_5347 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.di_normal */
EIF_TYPED_VALUE F286_5348 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfc_button */
EIF_TYPED_VALUE F286_5349 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfc_caption */
EIF_TYPED_VALUE F286_5350 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfc_menu */
EIF_TYPED_VALUE F286_5351 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfc_popupmenu */
EIF_TYPED_VALUE F286_5352 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfc_scroll */
EIF_TYPED_VALUE F286_5353 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_button3state */
EIF_TYPED_VALUE F286_5354 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_buttoncheck */
EIF_TYPED_VALUE F286_5355 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_buttonpush */
EIF_TYPED_VALUE F286_5356 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_buttonradio */
EIF_TYPED_VALUE F286_5357 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_buttonradioimage */
EIF_TYPED_VALUE F286_5358 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_buttonradiomask */
EIF_TYPED_VALUE F286_5359 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_captionclose */
EIF_TYPED_VALUE F286_5360 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_captionhelp */
EIF_TYPED_VALUE F286_5361 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_captionmax */
EIF_TYPED_VALUE F286_5362 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_captionmin */
EIF_TYPED_VALUE F286_5363 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_captionrestore */
EIF_TYPED_VALUE F286_5364 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_menuarrow */
EIF_TYPED_VALUE F286_5365 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_menuarrowright */
EIF_TYPED_VALUE F286_5366 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_menubullet */
EIF_TYPED_VALUE F286_5367 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_menucheck */
EIF_TYPED_VALUE F286_5368 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_scrollcombobox */
EIF_TYPED_VALUE F286_5369 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_scrolldown */
EIF_TYPED_VALUE F286_5370 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_scrollleft */
EIF_TYPED_VALUE F286_5371 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_scrollright */
EIF_TYPED_VALUE F286_5372 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_scrollsizegrip */
EIF_TYPED_VALUE F286_5373 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_scrollsizegripright */
EIF_TYPED_VALUE F286_5374 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_scrollup */
EIF_TYPED_VALUE F286_5375 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_adjustrect */
EIF_TYPED_VALUE F286_5376 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8192L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_checked */
EIF_TYPED_VALUE F286_5377 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1024L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_flat */
EIF_TYPED_VALUE F286_5378 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16384L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_hot */
EIF_TYPED_VALUE F286_5379 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4096L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_inactive */
EIF_TYPED_VALUE F286_5380 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 256L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_mono */
EIF_TYPED_VALUE F286_5381 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 32768L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_pushed */
EIF_TYPED_VALUE F286_5382 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 512L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dfcs_transparent */
EIF_TYPED_VALUE F286_5383 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2048L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bdr_raisedinner */
EIF_TYPED_VALUE F286_5384 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bdr_sunkeninner */
EIF_TYPED_VALUE F286_5385 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bdr_raisedouter */
EIF_TYPED_VALUE F286_5386 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bdr_sunkenouter */
EIF_TYPED_VALUE F286_5387 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.edge_bump */
EIF_TYPED_VALUE F286_5388 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 9L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.edge_etched */
EIF_TYPED_VALUE F286_5389 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 6L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.edge_raised */
EIF_TYPED_VALUE F286_5390 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.edge_sunken */
EIF_TYPED_VALUE F286_5391 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 10L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_adjust */
EIF_TYPED_VALUE F286_5392 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8192L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_bottom */
EIF_TYPED_VALUE F286_5393 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_bottomleft */
EIF_TYPED_VALUE F286_5394 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 9L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_bottomright */
EIF_TYPED_VALUE F286_5395 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 12L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_diagonal */
EIF_TYPED_VALUE F286_5396 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_diagonal_endbottomleft */
EIF_TYPED_VALUE F286_5397 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 25L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_diagonal_endbottomright */
EIF_TYPED_VALUE F286_5398 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 28L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_diagonal_endtopleft */
EIF_TYPED_VALUE F286_5399 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 19L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_diagonal_endtopright */
EIF_TYPED_VALUE F286_5400 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 22L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_flat */
EIF_TYPED_VALUE F286_5401 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16384L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_left */
EIF_TYPED_VALUE F286_5402 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_middle */
EIF_TYPED_VALUE F286_5403 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2048L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_mono */
EIF_TYPED_VALUE F286_5404 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 32768L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_rect */
EIF_TYPED_VALUE F286_5405 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 15L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_right */
EIF_TYPED_VALUE F286_5406 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_soft */
EIF_TYPED_VALUE F286_5407 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4096L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_top */
EIF_TYPED_VALUE F286_5408 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_topleft */
EIF_TYPED_VALUE F286_5409 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.bf_topright */
EIF_TYPED_VALUE F286_5410 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 6L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dst_bitmap */
EIF_TYPED_VALUE F286_5411 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dst_complex */
EIF_TYPED_VALUE F286_5412 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dst_icon */
EIF_TYPED_VALUE F286_5413 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dst_prefixtext */
EIF_TYPED_VALUE F286_5414 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dst_text */
EIF_TYPED_VALUE F286_5415 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dss_disabled */
EIF_TYPED_VALUE F286_5416 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 32L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dss_hideprefix */
EIF_TYPED_VALUE F286_5417 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 512L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dss_mono */
EIF_TYPED_VALUE F286_5418 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 128L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dss_normal */
EIF_TYPED_VALUE F286_5419 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dss_prefixonly */
EIF_TYPED_VALUE F286_5420 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1024L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dss_right */
EIF_TYPED_VALUE F286_5421 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 32768L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dss_union */
EIF_TYPED_VALUE F286_5422 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.srccopy */
EIF_TYPED_VALUE F286_5423 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 13369376L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.srcpaint */
EIF_TYPED_VALUE F286_5424 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 15597702L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.srcand */
EIF_TYPED_VALUE F286_5425 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8913094L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.srcinvert */
EIF_TYPED_VALUE F286_5426 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 6684742L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.srcerase */
EIF_TYPED_VALUE F286_5427 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4457256L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.notsrccopy */
EIF_TYPED_VALUE F286_5428 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3342344L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.notsrcerase */
EIF_TYPED_VALUE F286_5429 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1114278L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.mergecopy */
EIF_TYPED_VALUE F286_5430 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 12583114L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.mergepaint */
EIF_TYPED_VALUE F286_5431 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 12255782L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.patcopy */
EIF_TYPED_VALUE F286_5432 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 15728673L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.patpaint */
EIF_TYPED_VALUE F286_5433 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16452105L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.patinvert */
EIF_TYPED_VALUE F286_5434 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5898313L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.dstinvert */
EIF_TYPED_VALUE F286_5435 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5570569L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.blackness */
EIF_TYPED_VALUE F286_5436 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 66L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.whiteness */
EIF_TYPED_VALUE F286_5437 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16711778L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.maskpaint */
EIF_TYPED_VALUE F286_5438 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2229030L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_black */
EIF_TYPED_VALUE F286_5439 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_notmergepen */
EIF_TYPED_VALUE F286_5440 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_masknotpen */
EIF_TYPED_VALUE F286_5441 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_notcopypen */
EIF_TYPED_VALUE F286_5442 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_maskpennot */
EIF_TYPED_VALUE F286_5443 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_not */
EIF_TYPED_VALUE F286_5444 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 6L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_xorpen */
EIF_TYPED_VALUE F286_5445 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 7L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_notmaskpen */
EIF_TYPED_VALUE F286_5446 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_maskpen */
EIF_TYPED_VALUE F286_5447 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 9L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_notxorpen */
EIF_TYPED_VALUE F286_5448 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 10L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_nop */
EIF_TYPED_VALUE F286_5449 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 11L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_mergenotpen */
EIF_TYPED_VALUE F286_5450 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 12L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_copypen */
EIF_TYPED_VALUE F286_5451 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 13L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_mergepennot */
EIF_TYPED_VALUE F286_5452 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 14L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_mergepen */
EIF_TYPED_VALUE F286_5453 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 15L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.r2_white */
EIF_TYPED_VALUE F286_5454 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {WEL_DRAWING_CONSTANTS}.maskcopy */
EIF_TYPED_VALUE F286_5455 (EIF_REFERENCE Current)
{
	GTCX
	char *l_feature_name = "maskcopy";
	RTEX;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTSN;
	RTDA;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	RTLU (SK_INT32, &Result);
	RTLU (SK_REF, &Current);
	
	RTEAA(l_feature_name, 285, Current, 0, 0, 5505);
	RTSA(Dtype(Current));
	RTSC;
	RTME(Dtype(Current), 1);
	RTDBGEAA(285, Current, 5505);
	RTIV(Current, RTAL);
	Result = (EIF_INTEGER_32) MAKEROP4(SRCCOPY, PATCOPY);
	RTVI(Current, RTAL);
	RTRS;
	RTHOOK(1);
	RTDBGLE;
	RTMD(1);
	RTLE;
	RTLO(2);
	RTEE;
	{ EIF_TYPED_VALUE r; r.type = SK_INT32; r.it_i4 = Result; return r; }
}

/* {WEL_DRAWING_CONSTANTS}.valid_rop2_constant */
EIF_TYPED_VALUE F286_5456 (EIF_REFERENCE Current, EIF_TYPED_VALUE arg1x)
{
	GTCX
	char *l_feature_name = "valid_rop2_constant";
	RTEX;
#define arg1 arg1x.it_i4
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_INTEGER_32 ti4_5;
	EIF_INTEGER_32 ti4_6;
	EIF_INTEGER_32 ti4_7;
	EIF_INTEGER_32 ti4_8;
	EIF_INTEGER_32 ti4_9;
	EIF_INTEGER_32 ti4_10;
	EIF_INTEGER_32 ti4_11;
	EIF_INTEGER_32 ti4_12;
	EIF_INTEGER_32 ti4_13;
	EIF_INTEGER_32 ti4_14;
	EIF_INTEGER_32 ti4_15;
	EIF_INTEGER_32 ti4_16;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTCDT;
	RTSN;
	RTDA;
	RTLD;
	
	if ((arg1x.type & SK_HEAD) == SK_REF) arg1x.it_i4 = * (EIF_INTEGER_32 *) arg1x.it_r;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	RTLU (SK_BOOL, &Result);
	RTLU(SK_INT32,&arg1);
	RTLU (SK_REF, &Current);
	
	RTEAA(l_feature_name, 285, Current, 0, 1, 5506);
	RTSA(dtype);
	RTSC;
	RTME(dtype, 0);
	RTGC;
	RTDBGEAA(285, Current, 5506);
	RTIV(Current, RTAL);
	RTHOOK(1);
	RTDBGAL(Current, 0, 0x04000000, 1,0); /* Result */
	ti4_1 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5432, dtype))(Current)).it_i4);
	ti4_2 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5444, dtype))(Current)).it_i4);
	ti4_3 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5434, dtype))(Current)).it_i4);
	ti4_4 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5440, dtype))(Current)).it_i4);
	ti4_5 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5436, dtype))(Current)).it_i4);
	ti4_6 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5443, dtype))(Current)).it_i4);
	ti4_7 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5446, dtype))(Current)).it_i4);
	ti4_8 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5445, dtype))(Current)).it_i4);
	ti4_9 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5442, dtype))(Current)).it_i4);
	ti4_10 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5437, dtype))(Current)).it_i4);
	ti4_11 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5435, dtype))(Current)).it_i4);
	ti4_12 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5439, dtype))(Current)).it_i4);
	ti4_13 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5433, dtype))(Current)).it_i4);
	ti4_14 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5441, dtype))(Current)).it_i4);
	ti4_15 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5447, dtype))(Current)).it_i4);
	ti4_16 = (((FUNCTION_CAST(EIF_TYPED_VALUE, (EIF_REFERENCE)) RTWF(5438, dtype))(Current)).it_i4);
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN) ((EIF_BOOLEAN)(arg1 == ti4_1) || (EIF_BOOLEAN)(arg1 == ti4_2)) || (EIF_BOOLEAN)(arg1 == ti4_3)) || (EIF_BOOLEAN)(arg1 == ti4_4)) || (EIF_BOOLEAN)(arg1 == ti4_5)) || (EIF_BOOLEAN)(arg1 == ti4_6)) || (EIF_BOOLEAN)(arg1 == ti4_7)) || (EIF_BOOLEAN)(arg1 == ti4_8)) || (EIF_BOOLEAN)(arg1 == ti4_9)) || (EIF_BOOLEAN)(arg1 == ti4_10)) || (EIF_BOOLEAN)(arg1 == ti4_11)) || (EIF_BOOLEAN)(arg1 == ti4_12)) || (EIF_BOOLEAN)(arg1 == ti4_13)) || (EIF_BOOLEAN)(arg1 == ti4_14)) || (EIF_BOOLEAN)(arg1 == ti4_15)) || (EIF_BOOLEAN)(arg1 == ti4_16));
	RTVI(Current, RTAL);
	RTRS;
	RTHOOK(2);
	RTDBGLE;
	RTMD(0);
	RTLE;
	RTLO(3);
	RTEE;
	{ EIF_TYPED_VALUE r; r.type = SK_BOOL; r.it_b = Result; return r; }
#undef arg1
}

void EIF_Minit286 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
